import Vue from 'vue'
import Router from 'vue-router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import police from '@/components/police'
import blockly from '@/components/blockly'
import function1 from '@/components/function'
import camera from '@/components/camera'
import test from '@/components/test'
import shop from '@/components/shop'
import light from '@/components/light'
import demo from '@/components/tuoDemo'
import traffic from '@/components/traffic'
import door from '@/components/door'
import index from '@/components/index'

Vue.use(Router).use(ElementUI)

export default new Router({
  mode: 'history',  //去掉url中的#
  routes: [
    {
      path: '/police',
      name: 'police',
      component: police
    },
    {
      path: '/blockly',
      name: 'blockly',
      component: blockly
    },
    {
      path: '/function',
      name: 'function',
      component: function1
    },
    {
      path: '/camera',
      name: 'camera',
      component: camera
    },
    {
      path: '/test',
      name: 'test',
      component: test
    },
    {
      path: '/light',
      name: 'light',
      component: light
    },
    {
      path: '/shop',
      name: 'shop',
      component: shop
    },
    {
      path: '/demo',
      name: 'demo',
      component: demo
    },
    {
      path: '/door',
      name: 'door',
      component: door
    },
    {
      path: '/',
      name: 'index',
      component: index
    },
    {
      path: '/traffic',
      name: 'traffic',
      component: traffic
    }
  ]
})
